Graph::Easy::Layout::Scout(3)

NAME
Graph::Easy::Layout::Scout - Find paths in a Manhattan-style grid

SYNOPSIS
        use Graph::Easy;

        my $graph = Graph::Easy->new();

        my $bonn = Graph::Easy::Node->new(
                name => 'Bonn',
        );
        my $berlin = Graph::Easy::Node->new(
                name => 'Berlin',
        );

        $graph->add_edge ($bonn, $berlin);

        $graph->layout();

        print $graph->as_ascii( );

        # prints:

        # +------+     +--------+
        # | Bonn | --> | Berlin |
        # +------+     +--------+

DESCRIPTION
"Graph::Easy::Layout::Scout" contains just the actual pathfinding code for Graph::Easy. It should not be used directly.

EXPORT
Exports nothing.

METHODS
This package inserts a few methods into "Graph::Easy" and "Graph::Easy::Node" to enable path-finding for graphs. It should not be used directly.

SEE ALSO
Graph::Easy.

AUTHOR
Copyright (C) 2004 - 2007 by Tels <http://bloodgate.com>.

See the LICENSE file for information.